package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.FiscalImpressora;
import com.rjconsultores.ventaboletos.entidad.FiscalImpressoraEstado;

public interface FiscalImpressoraEstadoDAO {
	
	public List<FiscalImpressoraEstado> obtenerTodos();
    public FiscalImpressoraEstado obtenerID(Integer id);
    public FiscalImpressoraEstado suscribir(FiscalImpressoraEstado entidad);
    public FiscalImpressoraEstado actualizacion(FiscalImpressoraEstado entidad);
    public void borrar(FiscalImpressoraEstado entidad);
    public Long count(String campo,Object o);
    
    public List<FiscalImpressoraEstado> retornaEstadosFiscalImpressora(FiscalImpressora fiscalImpressora) ;

}
